export type JDLApplicationOptionValue = string | number | boolean | undefined | never[] | Record<string, string>;
export type JDLApplicationOptionTypeValue = 'string' | 'integer' | 'boolean' | 'list';
export type JDLApplicationOptionType = {
    type: JDLApplicationOptionTypeValue;
};
export default class JDLApplicationDefinition {
    optionValues: Record<string, JDLApplicationOptionValue>;
    optionTypes: Record<string, JDLApplicationOptionType>;
    quotedOptionNames: string[];
    getTypeForOption(optionName: string): JDLApplicationOptionTypeValue;
    doesOptionValueExist(name: any, value: any): boolean;
    doesOptionExist(optionName: any): boolean;
    shouldTheValueBeQuoted(optionName: any): boolean;
}
